cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/available-regions?provider=SOME_STRING_VALUE&serverless=SOME_BOOLEAN_VALUE&pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"regions": [
{
"distance": 123,
"location": "<string>",
"name": "<string>",
"provider": "GCP",
"serverless": true
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List the regions available for new clusters and nodes
Sort order: Distance (based on client IP address)
GET
/
api
/
v1
/
clusters
/
available-regions
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/available-regions?provider=SOME_STRING_VALUE&serverless=SOME_BOOLEAN_VALUE&pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"regions": [
{
"distance": 123,
"location": "<string>",
"name": "<string>",
"provider": "GCP",
"serverless": true
}
],
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional CloudProvider for filtering.
- GCP: The Google Cloud Platform cloud provider.
- AWS: The Amazon Web Services cloud provider.
Available options:
GCP, AWS Optional filter to only show regions available for serverless clusters.
- ASC: Sort in ascending order. This is the default unless otherwise specified.
- DESC: Sort in descending order.
Available options:
ASC, DESC 
